libunibreak 5.1

Loading...
Searching...
No Matches
Data Fields
GraphemeBreakProperties Struct Reference

Struct for entries of grapheme break properties. More...

`#include <graphemebreakdef.h>`

## Data Fields
utf32_t | start
| Start codepoint. More...
utf32_t | end
| End codepoint, inclusive. More...
enum GraphemeBreakClass | prop
| The grapheme breaking property. More...

## Detailed Description

Struct for entries of grapheme break properties.

The array of the entries must be sorted.

## Field Documentation

## ◆ end

utf32_t GraphemeBreakProperties::end

End codepoint, inclusive.

## ◆ prop

enum GraphemeBreakClass GraphemeBreakProperties::prop

The grapheme breaking property.

## ◆ start

utf32_t GraphemeBreakProperties::start

Start codepoint.

The documentation for this struct was generated from the following file:

- graphemebreakdef.h